--IMPORTANT: THE GAME SHOULD BE RESTARTED FOR CHANGES TO TAKE EFFECT

-- To enable or disable features change the relevant value to "true" or "false" respectively
-- Numeric values are multipliers. (eg. 2x doubles, 0.5x count halves)
-- NOTE: Numeric values should be above 0. Invalid values will be ignored.


-- BASIC OPTIONS
-----------------

-- Enable or Disable Feature
ENABLE_TECH_COUNT_SCALING = true
ENABLE_TECH_TIME_SCALING = true
ENABLE_TECH_RECIPE_SCALING = true
ENABLE_EVOLUTION_SCALING = false


-- Scaling Values
TECH_COUNT_SCALE = 2		-- Modifier for how many times a research needs to be completed
TECH_TIME_SCALE = 1			-- Modifier for how long a single research takes

RED_SCIENCE_SCALE = 1		-- Modifiers for research ingredients
GREEN_SCIENCE_SCALE = 3
BLUE_SCIENCE_SCALE = 8
PURPLE_SCIENCE_SCALE = 5


-- NOTE: Evolution Scale is automatic by default, calculated from Time Scale and Count Scale.
--		 Higher values of these will reduce evolution multiplicatively by the same value.
--		 eg. 2x count -> 0.5x evolution  or  2x count, 2x time -> 0.25x evolution



-- ADVANCED OPTIONS
---------------------------------

-- Manual Evolution Scaling
MANUAL_EVOLUTION_OVERRIDE = false		-- Enable the below values, disabling auto-calculation

MANUAL_EVOLUTION_SCALE_TIME = 1			-- Evolution over time
MANUAL_EVOLUTION_SCALE_DESTROY = 1		-- Evolution when killing a base
MANUAL_EVOLUTION_SCALE_POLLUTION = 1	-- Evolution with pollution 

---------------------------------

-- Rebuild Options

-- NOTE: When enabled, rebuilding takes place on load and will be commited when saved.
--		 The active feature(s) should be disabled after saving to avoid unintended rebuilding.

TECH_REBUILD_ON_LOAD = false		-- Enable to apply technology changes to an old save on load
EVOLUTION_REBUILD_ON_LOAD = false	-- Enable to apply evolution changes to an old save on load
ENABLE_FEEDBACK_MESSAGES = true		-- Displays feedback in-game when rebuild occurs

---------------------------------

-- Cheats
AUTOMATION_TECH_CHEAT = false		-- Disables scaling for 'Automation 1' tech
INSTANT_FREE_TECH_CHEAT = false		-- Makes all tech free and instant, still requires a lab