require "config"
require "mod_util"

-- Iterating though tech value changes
if INSTANT_FREE_TECH_CHEAT then -- Handling the ultra cheaty mega cheat cheat
	for _, tech in pairs(data.raw.technology) do
		tech.unit.count = 1
		tech.unit.ingredients = {}
		tech.unit.time = 0.001
	end
elseif TechInputsValid() then -- Ensure active tech scalings are valid
	for _, tech in pairs(data.raw.technology) do -- Iterate over all techs
		if not AUTOMATION_TECH_CHEAT or tech.name ~= "automation" then -- Handling automation 1 cheat

			-- Calculating and validating count change
			if ENABLE_TECH_COUNT_SCALING and tech.unit.count ~= 2000000000 then
				-- Note: "tech.unit.count ~= 2000000000" is Infinite Tech Research quick-fix
				local tempCount = math.floor(tech.unit.count * TECH_COUNT_SCALE)
			
				if tempCount > 1 then -- Factorio can't handle <= 0 tech count!
					tech.unit.count = tempCount
				else
					tech.unit.count = 1
				end
			end
			
			-- Calculating and validating time change
			if ENABLE_TECH_TIME_SCALING then
				tech.unit.time = tech.unit.time * TECH_TIME_SCALE
			end
			
			-- Calculating and validating tech recipe changes (science packs)
			if ENABLE_TECH_RECIPE_SCALING then
				for i, recipe in pairs(tech.unit.ingredients) do
					local tempIngredientNum
					
					-- Select appropriate scaling when passing through
					-- ( Oh LUA, why don't you have a C'like switch ... )
					if recipe[1] == "science-pack-1"  then
						tempIngredientNum = math.floor(recipe[2] * RED_SCIENCE_SCALE)
					elseif recipe[1] == "science-pack-2" then
						tempIngredientNum = math.floor(recipe[2] * GREEN_SCIENCE_SCALE)
					elseif recipe[1] == "science-pack-3" then
						tempIngredientNum = math.floor(recipe[2] * BLUE_SCIENCE_SCALE)
					elseif recipe[1] == "alien-science-pack" then
						tempIngredientNum = math.floor(recipe[2] * PURPLE_SCIENCE_SCALE)
					-- Bobs Modules Mod
					elseif recipe[1] == "speed-processor" then
						tempIngredientNum = math.floor(recipe[2] * 1)
					elseif recipe[1] == "effectivity-processor" then
						tempIngredientNum = math.floor(recipe[2] * 1)
					elseif recipe[1] == "productivity-processor" then
						tempIngredientNum = math.floor(recipe[2] * 1)
					elseif recipe[1] == "pollution-clean-processor" then
						tempIngredientNum = math.floor(recipe[2] * 1)
					elseif recipe[1] == "pollution-create-processor" then
						tempIngredientNum = math.floor(recipe[2] * 1)
					elseif recipe[1] == "module-circuit-board" then
						tempIngredientNum = math.floor(recipe[2] * 1)
					elseif recipe[1] == "module-case" then
						tempIngredientNum = math.floor(recipe[2] * 1)
					end
					
					if tempIngredientNum > 1 then
						recipe[2] = tempIngredientNum
					else
						recipe[2] = 1
					end
				end
			end
		end
	end
end